import React, { useState } from "react";
import { Link } from "react-router-dom";
import { Col, Row, Button } from "react-bootstrap";
import LanguageText from "components/common/languageText";
import HomeProductList from "./homeProductList";

const Products = () =>  {
   const [whiteArrow, setWhiteArrow] = useState(false);
   return (
      <div className="home-products-container">
         <Row className="all-product-description">
            <Col xl={12} lg={12} md={12} sm={12} xs={12}>
               <p className="title">
                  <LanguageText firstKey="page" secondKey="ShopStick_Mall" />
               </p>
               {/*
               <p className="our-products-des">
                  <LanguageText firstKey="page" secondKey="shopstick_provides_you_more_than" />
               </p> */}
            </Col>
         </Row>
         <HomeProductList />
         <Row className="home-load-more">
            <Col>
               <Link to="/allProducts">
                  <Button className="home-load-more-btn" variant="primary" onMouseEnter={() => ( setWhiteArrow(true) )} onMouseLeave={() => ( setWhiteArrow(false) )} >
                     <span className="btn-element">
                        <span className="btn-text"> <LanguageText firstKey="page" secondKey="see_all" /> </span>
                        <span>
                        { whiteArrow == true ? (
                           <img className="image" src="/images/arrow-right-white.png" alt="shopStick" />
                         ) : (
                           <img className="image" src="/images/arrow-right.png" alt="shopStick" />
                        )}
                        </span>
                     </span>
                  </Button>
               </Link>
            </Col>
         </Row>
      </div>
   );
};
export default Products;
